/**
 * Copyright or © or Copr. LGI2A
 * 
 * LGI2A - Laboratoire de Genie Informatique et d'Automatique de l'Artois - EA 3926 
 * Faculte des Sciences Appliquees
 * Technoparc Futura
 * 62400 - BETHUNE Cedex
 * http://www.lgi2a.univ-artois.fr/
 * 
 * Email: gildas.morvan@univ-artois.fr
 * 
 * Contributors:
 * 	Gildas MORVAN (creator of the IRM4MLS formalism)
 * 	Yoann KUBERA (designer, architect and developer of SIMILAR)
 * 
 * This software is a computer program whose purpose is to support the
 * implementation of multi-agent-based simulations using the formerly named
 * IRM4MLS meta-model. This software defines an API to implement such 
 * simulations, and also provides usage examples.
 * 
 * This software is governed by the CeCILL-B license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL-B
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info". 
 * 
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability. 
 * 
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or 
 * data to be ensured and,  more generally, to use and operate it in the 
 * same conditions as regards security. 
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-B license and that you accept its terms.
 */
package fr.univ_artois.lgi2a.similar2logo.examples.transport.osm;

/**
 * A class that defines constants used to describe OSM components.
 * 
 * @author <a href="http://www.lgi2a.univ-artois.fr/~morvan" target="_blank">Gildas Morvan</a>
 *
 */
public final class OSMConstants {
	
	public static final String RAILWAY = "railway";
	
	public static final String HIGHWAY = "highway";
	
	public static final String SECONDARY = "secondary";
	
	public static final String TERTIARY = "tertiary";
	
	public static final String RESIDENTIAL = "residential";
	
	public static final String SECONDARY_LINK = "secondary_link";
	
	public static final String STREET = "street";
	
	public static final String TRAMWAY = "tramway";
	
	public static final String BUSWAY = "busway";
	
	public static final String BOUNDS = "bounds";
	
	public static final String WAY = "way";
	
	public static final String NODE = "node";
	
	public static final String TYPE = "type";
	
	public static final String MEMBER = "member";
	
	public static final String ID = "id";
	
	public static final String TAG = "tag";
	
	public static final String ND = "nd";
	
	public static final String K = "k";
	
	public static final String V = "v";
	
	public static final String MINLON = "minlon";
	
	public static final String MAXLON = "maxlon";
	
	public static final String MINLAT = "minlat";
	
	public static final String MAXLAT = "maxlat";
	
	public static final String LAT = "lat";
	
	public static final String LON = "lon";
	
	public static final String RELATION = "relation";
	
	public static final String REF = "ref";
	
	public static final String ROUTE = "route";
	
	public static final String TRAM = "tram";
	
	public static final String RAIL = "rail";
	
	public static final String TRAIN = "train";
	
	public static final String LEVEL_CROSSING = "level_crossing";
	
	public static final String BUS_STOP = "bus_stop";
	
	public static final String BUS = "bus";
	
	public static final String BIKE = "bike";
	
	public static final String CAR = "car";
	
	public static final String PERSON = "person";
	
	public static final String STATION = "station";
	
	public static final String TRAM_STOP = "tram_stop";
	
	public static final String AMENITY = "amenity";
	
	public static final String SCHOOL = "school";
	
	public static final String BAR = "bar";
	
	public static final String FAST_FOOD = "fast_food";
	
	public static final String RESTAURANT = "restaurant";
	
	public static final String BANK = "bank";
	
	public static final String ATM = "atm";
	
	public static final String PHARMACY = "pharmacy";
	
	public static final String DOCTORS = "doctors";
	
	public static final String SHOP = "shop";

	public static final String CREATOR = "creator";

	public static final String WAGON = "wagon";
	
	public static final double SQRT_2 = Math.sqrt(2);
}
